Bug 1033971 - mdadm --stop causes soft lockup and eventual crash
Summary: mdadm --stop causes soft lockup and eventual crash
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: LVM and device-mapper development team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: TRACKER-bugs-affecting-libguestfs
TreeView+ depends on / blocked
 
Reported: 2013-11-24 22:10 UTC by Richard W.M. Jones
Modified: 2013-11-30 19:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-30 19:17:53 UTC
Type: Bug


Attachments (Terms of Use)
build.log extract containing the multiple kernel stack traces that happen (1.66 MB, text/plain)
2013-11-24 22:10 UTC, Richard W.M. Jones
no flags Details


Links
System ID Priority Status Summary Last Updated
Linux Kernel 65721 None None None Never

Description Richard W.M. Jones 2013-11-24 22:10:28 UTC
Created attachment 828434 [details]
build.log extract containing the multiple kernel stack traces that happen

Description of problem:

The libguestfs test suite runs mdadm in various combinations.
Currently the mdadm --stop test causes a soft lockup and eventual
crash.  See the very long stack trace which I'll attach to
this bug.

This has just started happening in the Rawhide kernel, in the
last week.

Version-Release number of selected component (if applicable):

kernel 3.13.0-0.rc1.git0.1.fc21
mdadm-3.3-4.fc21.x86_64

How reproducible:

Tested twice, reproduced the bug both times.

Steps to Reproduce:
1. See the build log for the exact commands.

Additional information:

Test source:
https://github.com/libguestfs/libguestfs/blob/master/tests/md/test-mdadm.sh

Comment 1 Richard W.M. Jones 2013-11-25 11:50:35 UTC
Upstream: https://bugzilla.kernel.org/show_bug.cgi?id=65721

Comment 2 Richard W.M. Jones 2013-11-27 17:29:15 UTC
Patch proposed, which I have tested and it fixes the problem.

https://bugzilla.kernel.org/show_bug.cgi?id=65721#c4

Comment 3 Josh Boyer 2013-11-30 19:17:53 UTC
(In reply to Richard W.M. Jones from comment #2)
> Patch proposed, which I have tested and it fixes the problem.
> 
> https://bugzilla.kernel.org/show_bug.cgi?id=65721#c4

Already in rawhide with 3.13-rc2.

Thanks much for reporting and following up with upstream, Richard.

(Worth noting the same fix is needed in 3.12 stable, so I'll add it there until upstream stable picks it up.)


Note You need to log in before you can comment on or make changes to this bug.